Bug 116369 - g++ crash when building openh323
Summary: g++ crash when building openh323
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Target FC3Target FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-02-20 16:42 UTC by Alexander Larsson
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 14:41:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed file (210.25 KB, text/plain)
2004-02-20 16:43 UTC, Alexander Larsson
no flags Details

Description Alexander Larsson 2004-02-20 16:42:18 UTC
The attached preprocessed file makes g++ crash on ia64 when built as:

/usr/lib/gcc-lib/ia64-redhat-linux/3.3.3/cc1plus -quiet 
-DP_USE_PRAGMA -D_REENTRANT -DP_64BIT -DPTRACING -DHAS_OSS -DPTRACING
-D__GNUG__=3 -g -O2 -fno-rtti -ffunction-sections -fdata-sections
-fPIC openh323_bug2.ii

Compiler version is gcc-3.3.3-2.

Comment 1 Alexander Larsson 2004-02-20 16:43:22 UTC
Created attachment 97859 [details]
preprocessed file

Comment 2 Alexander Larsson 2004-02-20 16:43:45 UTC
Compiler output is:
h245_1.cxx: In copy constructor `
   H245_H262VideoCapability::H245_H262VideoCapability(const 
   H245_H262VideoCapability&)':
h245_1.cxx:4378: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccJ8x1o1.out file, please attach
this to your bugreport


Comment 3 Bill Nottingham 2004-08-11 20:10:05 UTC
Does this work currently?

Comment 4 Jakub Jelinek 2004-11-24 14:41:39 UTC
Unless you can reproduce it with gcc-3.2.3-RH or gcc-3.4.3-RH, there is no
point to keep this open any longer.


Note You need to log in before you can comment on or make changes to this bug.